
@echo off
echo Installation de la base de donnees
echo ----
echo. 



set "db=santia" & set /p "db=Saisir le nom de la base de donnees. Laisser vide pour 'santia'.  "
set "user=admin" & set /p "user=Saisir le nom de l'utilisateur administrateur, sans accent ni espace. Laisser vide pour 'admin'.  "
if [%user%]==[] (
 set /p "x=Erreur: le nom de l'utilisateur ne peut pas etre vide. Appuyer sur Entree pour quitter "
 exit /b
)
set "pwd=admin" & set /p "pwd=Saisir son mot de passe, sans accent ni espace. Laisser vide pour 'admin'.  "
if [%pwd%]==[] (
 set /p "x=Erreur: son mot de passe ne peut pas etre vide. Appuyer sur Entree pour quitter "
 exit /b
)
set "dbms_path=c:\xampp\mysql" & set /p "dbms_path=Saisir l'emplacement du gestionnaire de base de donnees. Laisser vide pour 'c:\xampp\mysql'.  "
if exist %dbms_path%\bin\%db%.sql set /p "x=Le fichier de sauvegarde %dbms_path%\bin\%db%.sql existe. Cette sauvegarde va etre restauree. Appuyer sur Entree pour continuer.  "
if not exist %dbms_path%\bin\%db%.sql set /p "x=Une base vide va etre creee. Appuyer sur Entree pour continuer.  "
echo.
echo Recapitulatif:
echo - Base de donnees: %db%
echo - Utilisateur administrateur: %user%
echo - Mot de passe: %pwd%
echo - Emplacement du gestionnaire de base de donnees: %dbms_path%
if exist %dbms_path%\bin\%db%.sql echo - Sauvegarde a restaurer: %dbms_path%\bin\%db%.sql
if not exist %dbms_path%\bin\%db%.sql echo - Pas de sauvegarde a restaurer
echo.
set /p "conf=Saisir 'oui' pour confirmer l'installation, ou laisser vide en cas d'erreur de saisie et/ou pour quitter sans installer.  "
if not [%conf%]==[oui] exit /b

echo ----
echo Creation de la base...
cd /d %dbms_path%
cd "bin"
mysql -u root -e "create database if not exists %db%"
if not exist %dbms_path%\bin\%db%.sql (
 echo Ajout des donnees par defaut...
 mysql -u root %db% -e "source c:\xampp\htdocs\santia\base_demo.sql"
)
if exist %dbms_path%\bin\%db%.sql (
 echo Restauration de la sauvegarde %dbms_path%\bin\%db%.sql... Cela peut prendre plusieurs minutes
 mysql -u root %db% -e "source %dbms_path%\bin\%db%.sql"
)
echo Mise a jour de la base... Cela peut prendre plusieurs minutes
mysql -u root %db% -e "source c:\xampp\htdocs\santia\zip_update_sql"
echo Ajout de l'utilisateur...
mysql -u root -e "flush privileges"
mysql -u root -e "grant all on *.* to '%user%'@'%' identified by '%pwd%' with grant option"
mysql -u root -e "flush privileges"
mysql -u root -e "grant all on *.* to '%user%'@'localhost' identified by '%pwd%' with grant option"
mysql -u root -e "flush privileges"
mysql -u root -e "grant file on *.* to '%user%'@'%' identified by '%pwd%'"
mysql -u root -e "flush privileges"
mysql -u root -e "grant file on *.* to '%user%'@'localhost' identified by '%pwd%'"
mysql -u root -e "flush privileges"
mysql -u root -e "grant file on *.* to '%user%'@'%'"
mysql -u root -e "flush privileges"
mysql -u root -e "grant file on *.* to '%user%'@'localhost'"
mysql -u root -e "flush privileges"
mysql -u root -e "insert ignore %db%.droi set desi='%user%',motp='%pwd%',nom_='',accu=1,anal=1,deli=1,dossmedi=1,dossptme=1,dossobse=1,dossrens=1,dosssoci=1,droi=1,labo=1,para=1,phar=1,pharpara=1,comm=1,depi=1,oev_=1,dosspsy_=1,pharsort=1"

echo ----
echo.
echo L'installation est terminee
echo. 
set /p "x=Appuyer sur Entree pour quitter"



